<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.6.0" />
    <PackageReference Include="MSTest.TestAdapter" Version="2.2.10" />
    <PackageReference Include="MSTest.TestFramework" Version="2.2.10" />
    <PackageReference Include="coverlet.collector" Version="3.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\LandblockExtraction\LandblockExtraction.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="AC2RE.Definitions">
      <HintPath>..\Libs\AC2RE.Definitions.dll</HintPath>
    </Reference>
    <Reference Include="AC2RE.Utils">
      <HintPath>..\Libs\AC2RE.Utils.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
